Name:          acpica
Version:       20181213
Release:       1mamba
Summary:       Advanced Configuration & Power Interface Component Architecture
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://www.intel.com/technology/iapc/acpi/downloads.htm
Source:        https://acpica.org/sites/acpica/files/acpica-unix-%{version}.tar.gz
Source1:       %{name}-license
Source2:       http://www.intel.com/technology/iapc/acpi/downloads/AslCompiler.pdf
Source3:       http://www.intel.com/technology/iapc/acpi/downloads/ACPICA-ProgRef.pdf
Patch0:        %{name}-20061109-makefile.patch
Patch1:        %{name}-20061109-iasl_manpage.patch
License:       Intel Software License Agreement
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: flex
BuildRequires: bison
ExclusiveArch: %{ix86} x86_64
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Advanced Configuration & Power Interface Component Architecture (ACPI CA) provides a reference implementation of software components that enable OS support for interfaces defined in the ACPI 1.0b specification.
This includes: AML interpreter and debugger, Namespace Management, ACPI hardware support, and basic OSPM, including a device power management framework.

%prep
%setup -q -n %{name}-unix-%{version}
cd source
#%patch0 -p1
%patch1 -p1

cp %{S:1} LICENSE
cp %{S:2} %{S:3} .

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
#%{_mandir}/man1/*
%doc source/LICENSE

%changelog
* Mon Dec 17 2018 Automatic Build System <autodist@mambasoft.it> 20181213-1mamba
- automatic version update by autodist

* Sat Nov 03 2018 Automatic Build System <autodist@mambasoft.it> 20181031-1mamba
- automatic version update by autodist

* Fri Oct 05 2018 Automatic Build System <autodist@mambasoft.it> 20181003-1mamba
- automatic version update by autodist

* Sun Sep 30 2018 Automatic Build System <autodist@mambasoft.it> 20180927-1mamba
- automatic version update by autodist

* Wed Aug 15 2018 Automatic Build System <autodist@mambasoft.it> 20180810-1mamba
- automatic version update by autodist

* Sat Jul 28 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 20180629-1mamba
- update to 20180629

* Sun Apr 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 20120420-1mamba
- update to 20120420

* Fri Jun 08 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 20061109-1mamba
- package created by autospec
